# Get an init script

Launch stage: GA

`GET /api/2.0/global-init-scripts/{script_id}`

Gets all the details of a script, including its Base64-encoded contents.

API scopes: global-init-scripts

## Path parameters

- `script_id` (string, required)
  The ID of the global init script.
  Example: `714B166709FBD56F`

## Returns

Returns the GlobalInitScriptDetails object.

## Response

```json
{
  "script_id": "714B166709FBD56F",
  "name": "My example script name",
  "position": 0,
  "enabled": false,
  "created_by": "john.doe@databricks.com",
  "created_at": 1594437249910,
  "updated_by": "jane.smith@example.com",
  "updated_at": 1594444684786
}
```

